%global commit 89262549a6fcc440ffb8db0a6112aa31fe09f02d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitname Limnoria
# Sadly the project does not do stable releases, so we have to pick a random snapshot.

Name:           limnoria
Version:        %{shortcommit}
Release:        2%{?dist}
Summary:        Cross-platform IRC bot written in Python

Group:          Applications/Internet
License:        BSD and GPLv2
URL:            https://github.com/ProgVal/Limnoria
Source0:        https://github.com/ProgVal/Limnoria/archive/%{commit}.tar.gz#/%{gitname}-%{commit}.tar.gz
Source1:        supybot.service

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  systemd

# Optional deps
Requires:       python-dateutil
Requires:       python-feedparser
Requires:       python-sqlalchemy
Requires:       pytz

# RHEL should get gnupg soon, but likely not socksipy
%if 0%{?fedora}
Requires:       python-gnupg
Requires:       python-SocksiPy
%endif


Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd


Provides:       Supybot
Conflicts:      supybot
Conflicts:	    supybot-gribble

%description
Supybot is a robust, user-friendly, and programmer-friendly Python IRC bot.
It aims to be an adequate replacement for most existing IRC bots.  It
includes a very flexible and powerful ACL system for controlling access
to commands, as well as more than 50 builtin plugins providing around
400 actual commands.

%prep
%setup -q -n %{gitname}-%{commit}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

mkdir -p %buildroot%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/supybot.service

%pre
getent group supybot >/dev/null || groupadd -r supybot
getent passwd supybot >/dev/null || \
    useradd -r -g supybot -d /var/lib/supybot -s /sbin/nologin \
    -c "Account for Limnoria to run as" supybot
mkdir -p /var/lib/supybot
chown supybot:supybot /var/lib/supybot

%post
%systemd_post supybot.service

%postun
%systemd_postun_with_restart supybot.service

%preun
%systemd_preun supytob.service

%files
%defattr(-,root,root,-)
%doc ACKS ChangeLog LICENSE.md README.md RELNOTES
%doc docs/{ADVANCED_PLUGIN_CONFIG,ADVANCED_PLUGIN_TESTING,CAPABILITIES}.rst
%doc docs/{CONFIGURATION,FAQ,GETTING_STARTED,PLUGIN_TUTORIAL,STYLE}.rst
%doc docs/{USING_UTILS,USING_WRAP}.rst
%{python_sitelib}/*egg-info
%{python_sitelib}/supybot
%{_bindir}/supybot
%{_bindir}/supybot-adduser
%{_bindir}/supybot-botchk
%{_bindir}/supybot-plugin-create
%{_bindir}/supybot-plugin-doc
%{_bindir}/supybot-test
%{_bindir}/supybot-wizard
%{_mandir}/man1/supybot.1*
%{_mandir}/man1/supybot-adduser.1*
%{_mandir}/man1/supybot-botchk.1*
%{_mandir}/man1/supybot-plugin-create.1*
%{_mandir}/man1/supybot-plugin-doc.1*
%{_mandir}/man1/supybot-test.1*
%{_mandir}/man1/supybot-wizard.1*
%{_unitdir}/supybot.service

%changelog
* Wed Sep 3 2014 TingPing <tingping@fedoraproject.org> - 0.83.4.1-13
- Initial Package

